var path = require('path')
var webpack = require('webpack')

module.exports = {
    entry: './src/main.js',
    output: {
        path: __dirname,
        filename: 'index.js'
    },
    module: {
      loaders: [
        {
          test: /\.vue$/,
          loader: 'vue'
        },
        {
          test: /\.js$/,
          loader: 'babel',
          exclude: /node_modules/
        },
        {
          test: /\.(png|jpg|gif|svg)$/,
          loader: 'file',
          query: {
            name: '[name].[ext]?[hash]'
          }
        }
      ]
    }
}



// module.exports = {
//   entry: './src/main.js',
//   output: {
//     path: path.resolve(__dirname, './dist'),
//     publicPath: '/dist/',
//     filename: 'index.js'
//   },
//   resolveLoader: {
//     root: path.join(__dirname, 'node_modules'),
//   },
//   module: {
//     loaders: [
//       {
//         test: /\.vue$/,
//         loader: 'vue'
//       },
//       {
//         test: /\.js$/,
//         loader: 'babel',
//         exclude: /node_modules/
//       },
//       {
//         test: /\.(png|jpg|gif|svg)$/,
//         loader: 'file',
//         query: {
//           name: '[name].[ext]?[hash]'
//         }
//       }
//     ]
//   },
//   devServer: {
//     historyApiFallback: true,
//     noInfo: true
//   },
//   devtool: '#eval-source-map'
// }
